You are not logged in.

#1 2009-04-11 14:37:51

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

xorg-server 1.6.0 moves to extra

Xorg-server 1.6.0 and its related drivers will make their move to extra.
This new release features input device properties, DRI2 and kernel
modesetting (KMS). Note that DRI2 and KMS are only implemented by the
Intel driver at this moment.
This release also comes with a new driver: xf86-video-intel-legacy. This
driver is an old intel driver version, patched to support recent
xorg-server versions. This driver should be used by people having
problems with the newer xf86-video-intel driver.
People still using xorg-server 1.4.2 are advised to upgrade and replace intel or i810 drivers with the legacy driver.

Offline

#2 2009-04-11 14:42:33

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: xorg-server 1.6.0 moves to extra

Excellent work JGC.

*** To all users ***

If you're having trouble with these packages, the odds are that every question that you have has already been answered here. And while I shouldn't have to remind everyone to use the search function before posting any questions, I'm going to remind everyone to use the search function before posting any questions.

Special thanks to everyone that ran the testing cycle for this. There were a lot of high quality posts in regards to all of these packages.

Offline

#3 2009-04-11 15:06:20

MazurMe
Member
From: London
Registered: 2009-02-22
Posts: 72

Re: xorg-server 1.6.0 moves to extra

I would like to upgrade to new xorg-server but anybody know how looks case of Catalyst 9.4? When it will be released? Anyway, great work guys smile.


Archlinux: x86_64, Gnome 2.26.*
I am registered Linux user number 485935 since september, 2007.

Offline

#4 2009-04-11 15:15:07

Kilz
Member
Registered: 2008-03-01
Posts: 140

Re: xorg-server 1.6.0 moves to extra

MazurMe wrote:

I would like to upgrade to new xorg-server but anybody know how looks case of Catalyst 9.4? When it will be released? Anyway, great work guys smile.

Its amazing, the ammount of information that is on the Arch site, wiki, and forum. Take a look at the main page for a topic called "ATI catalyst support dropped" .


I trust Microsoft about as far as I can comfortably spit a dead rat.
Cinnamon is a wonderful desktop
"Faith is the substance of things hoped for, the evidence of things not seen."

Offline

#5 2009-04-11 15:16:30

Skripka
Member
From: 2X1280X1024
Registered: 2009-02-19
Posts: 554

Re: xorg-server 1.6.0 moves to extra

Excellent.  Now I just have to sit sxiously waiting for the mirrors to get updated.  I hate waiting wink

Offline

#6 2009-04-11 15:17:09

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: xorg-server 1.6.0 moves to extra

MazurMe wrote:

I would like to upgrade to new xorg-server but anybody know how looks case of Catalyst 9.4? When it will be released? Anyway, great work guys smile.

archlinux doesn't support anymore catalyst driver but you can use it  from aur.:
http://aur.archlinux.org/packages.php?ID=22899
http://aur.archlinux.org/packages.php?ID=22510


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#7 2009-04-11 15:25:45

MazurMe
Member
From: London
Registered: 2009-02-22
Posts: 72

Re: xorg-server 1.6.0 moves to extra

I know it is not supported ... but maybe anybody know when it will be released?


Archlinux: x86_64, Gnome 2.26.*
I am registered Linux user number 485935 since september, 2007.

Offline

#8 2009-04-11 15:28:28

Dinth
Member
From: London
Registered: 2009-03-02
Posts: 224

Re: xorg-server 1.6.0 moves to extra

skottish wrote:

If you're having trouble with these packages, the odds are that every question that you have has already been answered here

My wasnt sad http://bbs.archlinux.org/viewtopic.php?id=68598

Offline

#9 2009-04-11 15:40:24

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: xorg-server 1.6.0 moves to extra

Dinth wrote:
skottish wrote:

If you're having trouble with these packages, the odds are that every question that you have has already been answered here

My wasnt sad http://bbs.archlinux.org/viewtopic.php?id=68598

You didn't tell anyone in the other thread what video driver that you use. If it's intel, it's been covered here endlessly.

Offline

#10 2009-04-11 15:51:32

ChemBro
Member
Registered: 2008-10-22
Posts: 678

Re: xorg-server 1.6.0 moves to extra

MazurMe wrote:

I know it is not supported ... but maybe anybody know when it will be released?

17th April.

Offline

#11 2009-04-11 16:23:28

MazurMe
Member
From: London
Registered: 2009-02-22
Posts: 72

Re: xorg-server 1.6.0 moves to extra

#ChemBro
Thank You!=)


Archlinux: x86_64, Gnome 2.26.*
I am registered Linux user number 485935 since september, 2007.

Offline

#12 2009-04-11 17:19:36

Dinth
Member
From: London
Registered: 2009-03-02
Posts: 224

Re: xorg-server 1.6.0 moves to extra

skottish: hmm ive didnt thought this may be caused by graphics driver, because it show everything OK, only hmmm, captured mouse in not this windows which supposed.
But no, i dont use intel, i've tried with catalyst from AUR and xf86-video-ati (both from repo and AUR), and problem exists with all of them.

Offline

#13 2009-04-11 18:14:38

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: xorg-server 1.6.0 moves to extra

Dinth wrote:

skottish: hmm ive didnt thought this may be caused by graphics driver, because it show everything OK, only hmmm, captured mouse in not this windows which supposed.
But no, i dont use intel, i've tried with catalyst from AUR and xf86-video-ati (both from repo and AUR), and problem exists with all of them.

You said that downgrading xorg-server worked in the other thread. I'm not saying for a fact that this is your problem, but it would be consistent with the problems that others are having. I have seen some threads about ATI cards and the new xorg-server. I didn't read through all of them because I don't have any ATI cards that concern me directly. I wish I had some answers for you.

Offline

#14 2009-04-11 18:21:19

Skripka
Member
From: 2X1280X1024
Registered: 2009-02-19
Posts: 554

Re: xorg-server 1.6.0 moves to extra

The new Xorg server will not install here, with the 180.44 Nvidia drivers:

:: Synchronizing package databases...
 kdemod-core is up to date
 kdemod-extragear is up to date
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (24): glib2-2.20.1-1  libcap-2.16-3  avahi-0.6.24-3  libmysqlclient-5.1.33-1
              cyrus-sasl-plugins-2.1.22-10  libdrm-2.4.9-1  dri2proto-1.99.3-1  mesa-7.4-1
              mysql-clients-5.1.33-1  mysql-5.1.33-1  pinentry-0.7.5-5  qt3-3.3.8-10
              redland-1.0.8-3  tdb-3.3.3-1  smbclient-3.3.3-1  samba-3.3.3-1
              syslog-ng-3.0.1-6  xf86-input-evdev-2.2.1-1  xf86-input-keyboard-1.3.2-2
              xf86-input-mouse-1.4.0-2  xf86-video-vesa-2.2.0-1  xorg-server-utils-7.4-4
              xorg-server-1.6.0-3  xorg-utils-7.4-3

Total Download Size:    0.00 MB
Total Installed Size:   277.67 MB

Proceed with installation? [Y/n] y
checking package integrity...
(24/24) checking for file conflicts                 [###################################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
xorg-server: /usr/lib/xorg/modules/extensions/libdri.so exists in filesystem
xorg-server: /usr/lib/xorg/modules/libwfb.so exists in filesystem
Errors occurred, no packages were upgraded.

Offline

#15 2009-04-11 18:21:53

arch0r
Member
From: From the Chron-o-John
Registered: 2008-05-13
Posts: 597

Re: xorg-server 1.6.0 moves to extra

updated and everything's working! thx a lot!
i tested it several times while it was still in the testing repo and each time it didn't work or no screens were found!? but xorg-server 1.6 seems to be quite stable and useable now! even the intel-legacy driver increased the fps rate in glxgears from 170k to 760k big_smile

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

Last edited by arch0r (2009-04-11 18:22:32)

Offline

#16 2009-04-11 18:30:17

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: xorg-server 1.6.0 moves to extra

arch0r wrote:

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

This is very bad advice. Never force package upgrades unless the developers recommend it or you don't mind trashing your system. There are some exceptions to this, but only for super-trivial packages.

Skripka,

You can remove the old xorg-server with pacman -Rd xorg-server than install. I would recommend that you drop out of X before doing this.

Offline

#17 2009-04-11 18:40:43

Skripka
Member
From: 2X1280X1024
Registered: 2009-02-19
Posts: 554

Re: xorg-server 1.6.0 moves to extra

arch0r wrote:

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

D'oh big_smile

Offline

#18 2009-04-11 18:42:03

Lars Stokholm
Member
From: Denmark
Registered: 2009-03-17
Posts: 223

Re: xorg-server 1.6.0 moves to extra

skottish wrote:
arch0r wrote:

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

This is very bad advice. Never force package upgrades unless the developers recommend it or you don't mind trashing your system. There are some exceptions to this, but only for super-trivial packages.

Why is it a bad advice (I'm asking out of curiosity, not saying that it's not bad advice)?

PS: It is recommended by the developers as far as I can see - http://www.archlinux.org/news/436/ - right?

Last edited by Lars Stokholm (2009-04-11 18:43:35)

Offline

#19 2009-04-11 18:43:47

Stunts
Member
From: Portugal
Registered: 2009-03-28
Posts: 301
Website

Re: xorg-server 1.6.0 moves to extra

I have the very same problem than Skripka.
My output is similar too:

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 archlinuxfr is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...

Targets (21): libcap-2.16-3  avahi-0.6.24-3  
              jack-audio-connection-kit-0.116.2-1  libdrm-2.4.9-1  
              libmysqlclient-5.1.33-1  dri2proto-1.99.3-1  mesa-7.4-1  
              pm-utils-1.2.5-1  qt-4.5.0-4  redland-1.0.8-3  tdb-3.3.3-1  
              smbclient-3.3.3-1  samba-3.3.3-1  xf86-input-evdev-2.2.1-1  
              xf86-input-keyboard-1.3.2-2  xf86-input-mouse-1.4.0-2  
              xf86-input-synaptics-1.1.0-1  xf86-video-vesa-2.2.0-1  
              xorg-server-utils-7.4-4  xorg-server-1.6.0-3  xorg-utils-7.4-3  

Total Download Size:    0,00 MB
Total Installed Size:   261,26 MB

Proceed with installation? [Y/n] y
checking package integrity...
(21/21) checking for file conflicts                 [#####################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
xorg-server: /usr/lib/xorg/modules/extensions/libdri.so exists in filesystem
xorg-server: /usr/lib/xorg/modules/libwfb.so exists in filesystem
Errors occurred, no packages were upgraded.
skottish wrote:
arch0r wrote:

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

This is very bad advice. Never force package upgrades unless the developers recommend it or you don't mind trashing your system. There are some exceptions to this, but only for super-trivial packages.

Skripka,

You can remove the old xorg-server with pacman -Rd xorg-server than install. I would recommend that you drop out of X before doing this.

Since I saw this post I got a bit reluctant about taking that action. Is it safe after all?

Thanks in advance.

Last edited by Stunts (2009-04-11 18:48:06)

Offline

#20 2009-04-11 18:48:59

mcmillan
Member
Registered: 2006-04-06
Posts: 694

Re: xorg-server 1.6.0 moves to extra

skottish wrote:
arch0r wrote:

edit: skripra u have to pacman -Sf xorg-server first than pacman -Su

This is very bad advice. Never force package upgrades unless the developers recommend it or you don't mind trashing your system.

You mean like in the news post for putting it in testing

It's safe and advised to overwrite these files. The symlinks were previously created from post_install by the xorg-server and nvidia-utils packages. It is advised to install xorg-server first by using "pacman -Sf xorg-server", after which you can upgrade the rest of your system.

It does look like those files get removed with the post_remove part of the script, so I guess they wouldn't be left behind which is what I initally thought you're suggestion would do, requiring the -Sf anyway. I am curious though if there would be any actual difference between overwriting with -Sf or removing then installing. Was this bad advice in the news post?

Last edited by mcmillan (2009-04-11 18:50:00)

Offline

#21 2009-04-11 18:49:17

uastasi
Member
From: Salento - Italy
Registered: 2007-11-27
Posts: 247

Re: xorg-server 1.6.0 moves to extra

Stunts wrote:

I have the very same problem than Skripka.

As explained before:

pacman -Sf xorg-server

Till the last battle, till the last bottle.
aur - twitter

Offline

#22 2009-04-11 18:55:29

Stunts
Member
From: Portugal
Registered: 2009-03-28
Posts: 301
Website

Re: xorg-server 1.6.0 moves to extra

Thank you very much!

Worked like a charm!

Offline

#23 2009-04-11 19:03:30

bender02
Member
From: Germany
Registered: 2007-02-04
Posts: 1,328

Re: xorg-server 1.6.0 moves to extra

mcmillan wrote:

Was this bad advice in the news post?

No it wasn't a bad advice. *In this case!* The point skottish is trying to make (I think) is that one should not automatically reply in this way:

-> OP: blablabla the world is collapsing, since i get " ... exists in filesystem. Errors occured, no packages upgraded" from pacman.
-> Yea sure I get it all the time, "pacman -Syuf" solves all your problems and fixes you a girlfriend as well.

In cases when it's advised by the devs (like in this case in the news), it's OK to use the 'f' switch with pacman. Otherwise *not*, and especially *not* if you're slightly new to (arch) linux. And a much worse sin is to reply in the forums like I described above, without giving a reference to the devs, or explaining in detail why is it OK in this particular case.

EDIT: typos... sometimes I get heated up and make mystakes.

Last edited by bender02 (2009-04-11 19:04:39)

Offline

#24 2009-04-11 19:07:17

jose1711
Member
Registered: 2006-07-08
Posts: 128

Re: xorg-server 1.6.0 moves to extra

i was a bit hoping that with xorg server upgrade the artefact i'm seeing in opengl apps would go away, but bad luck..

ati.th.png

jose, ati mobility 9000 - ati rv250 and opensource driver (dell latitude d600)

Offline

#25 2009-04-11 19:21:39

kgas
Member
From: Qatar
Registered: 2008-11-08
Posts: 718

Re: xorg-server 1.6.0 moves to extra

Thanks for the new Xorg. In Acer 291Lci I felt improvement in the fonts rendering with LXDE. The only thing to be done was to use the xf86-video-intel-legacy driver. I will later try the KMS option. Some one also mentioned about the missing X man pages hope this will be fixed in the next update.

Offline

Board footer

Powered by FluxBB